Update tenant settings
curl --request PUT \
--url https://api.neoagent.io/public-api/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"end_business_hours": 123,
"human_friendly_client_name": "<string>",
"referral_code": "<string>",
"sleep_before_callback_processing_seconds": 123,
"start_business_hours": 123,
"timezone": "<string>"
}
'import requests
url = "https://api.neoagent.io/public-api/settings"
payload = {
"end_business_hours": 123,
"human_friendly_client_name": "<string>",
"referral_code": "<string>",
"sleep_before_callback_processing_seconds": 123,
"start_business_hours": 123,
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
end_business_hours: 123,
human_friendly_client_name: '<string>',
referral_code: '<string>',
sleep_before_callback_processing_seconds: 123,
start_business_hours: 123,
timezone: '<string>'
})
};
fetch('https://api.neoagent.io/public-api/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"end_business_hours": 123,
"human_friendly_client_name": "<string>",
"referral_code": "<string>",
"sleep_before_callback_processing_seconds": 123,
"start_business_hours": 123,
"timezone": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timings_ms": {},
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Settings
Update tenant settings
Partial patch — only the fields present in the body are changed. Returns the updated settings.
PUT
/
public-api
/
settings
Update tenant settings
Authorizations
Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).
Body
application/json
⌘I
